<?php
namespace Magento\Checkout\Block\Onepage\Link;

/**
 * Interceptor class for @see \Magento\Checkout\Block\Onepage\Link
 */
class Interceptor extends \Magento\Checkout\Block\Onepage\Link implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Checkout\Model\Session $checkoutSession, \Magento\Checkout\Helper\Data $checkoutHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $checkoutSession, $checkoutHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
